<?php
require_once ('system/func.php');
auth(); // Закроем от не авторизованных
# Настройки #
$id = num($_GET['id']);
if($id){
$item = mysql_fetch_assoc(mysql_query("SELECT * FROM `inv` WHERE `id` = '".$id."' AND `id_user` = '$myID' and `odeta` = 'da' AND  `smitch` < '10' "));
# Ошибки #''
if(!$item){
$_SESSION['msg'] == 'Такой вещи не существует';
header('Location: /smitch/');
exit();
}
$title = $item['name'];
require_once ('system/header.php');
## Тип вещи ##
switch($item['tip']){
case 'golova':
$tip = 'Голова';
break;
case 'plechi':
$tip = 'Плечи';
break;
case 'tors':
$tip = 'Торс';
break;
case 'perchatki':
$tip = 'Перчатки';
break;
case 'lev':
$tip = 'Левая рука';
break;
case 'prav':
$tip = 'Правая рука';
break;
case 'nogi':
$tip = 'ноги';
break;
case 'obuv':
$tip = 'Обувь';
break;
}
## Качество ## 


switch($item[smitch]){
case 0:
$smitch_cena = 100;
break;
case 1:
$smitch_cena = 220;
break;
case 2:
$smitch_cena = 440;
break;
case 3:
$smitch_cena = 680;
break;
case 4;
$smitch_cena = 1060;
break;
case 5:
$smitch_cena = 1460;
break;
case 6:
$smitch_cena = 1980;
break;
case 7:
$smitch_cena = 2730;
break;
case 8:
$smitch_cena = 3560;
break;
case 9:
$smitch_cena = 4920;
break;
}
## Акция ##
if($auction == 3 )$smitch_cena -= ceil($smitch_cena*50/100);

 if($auction == 4 )$smitch_cena -= ceil($smitch_cena*25/100)
;


if(isset($_GET[smitch]) and $item[smitch] != 10){
if($user[almaz] < $smitch_cena){
$_SESSION[msg] = "Не хватает ".ico('icons','almaz.png')." ".($smitch_cena-$user[almaz])." алмазов";
header("Location: ?");
exit();
}
mysql_query("update `inv` set `smitch` = '".($item[smitch]+1)."', `str` = '".($item[str]+5)."', `def` = '".($item[def]+5)."', `health` = '".($item[health]+5)."' where (`id` = '".$item['id']."')");
mysql_query("update `users` set `str` = '".($user[str]+5)."', `def` = '".($user[def]+5)."', `max_health` = '".($user[max_health]+5)."', `almaz` = '".($user[almaz]-$smitch_cena)."' where (`id` = '".$myID."')");
$_SESSION[msg] = 'Заточка прошла успешно';
header('Location: ?');
exit();
}
switch($item['skill']){
case '0':
$color = '<font color="green">';
$bonus=10;

break;
case '100':
$color = '<font color="#1E90FF">';
$bonus=20;
break;
case '500':
$color = '<font color="violet">';
$bonus=40;

break;
case '2500':
$color = '<font color="gold"> ';
$bonus=70;

break;

case '5000':
$color = '<font color="Darkorange"> ';
$bonus=100;

break;
}


          echo"    <div class='wrapper'><div class='oh'>
                        
                    
                        <img src='/images/items/$item[tip]/$item[item].png'></div> $color$item[name]  ".ico('icons','level.png')."$item[bonus]</font></span>
</font><br>";




echo ico('icons', 'str.png')." Сила : $item[str]<br>";
echo ico('icons', 'def.png')." Защита: $item[def]<br>";
echo ico('icons', 'health.png')." Жизнь: $item[health]<br>";
echo "</div>";



          echo" <div class='header'>";


echo " <a href='?'> Уровень заточки </span> <span class='red'>+$item[smitch]</span></a>";
if($item[smitch] != 10){
$key=rand(23313,3123123);

echo "<br> <div class='btn_grey'><span class='cb_end'><span class='cb_ttl'><a href='?smitch' >Заточить за  ".ico('icons','almaz.png')." $smitch_cena</div></span></span></a></div>";
echo "</div>";
}else{
echo "<div class='header'>Вещь  максимальной заточки</div>";
}
echo "</div>";

echo "<div class='header'><span class='white'><img src='/images/icons/str.png'><img src='/images/icons/health.png'><img src='/images/icons/def.png'>Каждая  заточка дает 15 ко всем параметрам</span></div>";

echo "<div class='header'><div class='main_link'><div class='ssilki_dop p_0'><a href='/smitch/'> К выбору вещей</div></div></div></a>";

require_once ('system/footer.php');
}else{
$title = 'Кузница';
require_once ('system/header.php');
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `inv` WHERE `id_user` = '$myID'"),0);
$q = mysql_query("SELECT * FROM `inv` WHERE `id_user` = '$myID' AND `odeta` = 'da'  AND`smitch` < 10  ORDER BY `skill` DESC");

if($k_post == 0)echo "<div class='block_lose'>Нет вещей для улучшения</div>";
while($post = mysql_fetch_assoc($q)) {
    echo "<div class='wrapper'>";
     switch($post['skill']){
case '0':
$color = '<font color="green">';
$bonus=10;

break;
case '100':
$color = '<font color="#1E90FF">';
$bonus=20;
break;
case '500':
$color = '<font color="violet">';
$bonus=40;

break;
case '2500':
$color = '<font color="gold"> ';
$bonus=70;

break;

case '5000':
$color = '<font color="Darkorange"> ';
$bonus=100;

break;
}
echo "<li><img src='/images/items/$post[tip]/$post[item].png'>";
if($post[bonus] >= 0)echo "  <span class='info' style='float:right;'>  $color [$post[bonus]/$bonus]</font></span>";
if($post[smitch] >= 1)echo "</span>";
echo " $color$post[name]</font> +$post[smitch]</span></a></li>";
echo "<center><div class='btn_grey'><span class='cb_end'><span class='cb_ttl'><a href='/smitch/$post[id]/'>Выбрать</div></span></span></a></div>";

}
echo "</div>";
require_once ('system/footer.php');
}
?>